import json
import sys
import os
from datetime import datetime

def convert_chat(file_path):
    with open(file_path, 'r') as input_file:
        data = json.load(input_file)

    output_data = []

    header = {
        "user_name": "You",
        "character_name": "Maria",
        "create_date": datetime.now().strftime("%Y-%m-%d @%Hh %Mm %Ss %fms"),
        "chat_metadata": {
            "note_prompt": "Genre: Comedy Flashback",
            "note_interval": 1,
            "note_position": 1,
            "note_depth": 4
        }
    }
    output_data.append(header)

    for message in data['messages']:
        if message.get('handle') == 'You':
            is_user = True
            name = 'You'
        else:
            is_user = False
            name = 'Maria'

        new_message = {
            "name": name,
            "is_user": is_user,
            "is_name": True,
            "send_date": datetime.now().strftime("%Y-%m-%d @%Hh %Mm %Ss %fms"),
            "mes": message['msg'],
            "extra": {}
        }
        output_data.append(new_message)

    output_file_path = os.path.splitext(file_path)[0] + '_converted.json'
    with open(output_file_path, 'w') as output_file:
        for message in output_data:
            json.dump(message, output_file, ensure_ascii=False)
            output_file.write('\n')

if __name__ == "__main__":
    if len(sys.argv) > 1:
        file_path = sys.argv[1]
        convert_chat(file_path)
    else:
        print("Please provide a JSON file to convert.")

